drop some dead code from model_fxx_init.c

Signed-off-by: Stefan Reinauer <stepan@coresystems.de>

Index: src/cpu/amd/model_fxx/model_fxx_init.c
===================================================================
--- src/cpu/amd/model_fxx/model_fxx_init.c	(revision 5858)
+++ src/cpu/amd/model_fxx/model_fxx_init.c	(working copy)
@@ -471,16 +471,7 @@
 	unsigned long i;
 	msr_t msr;
 	struct node_core_id id;
-#if CONFIG_LOGICAL_CPUS == 1
-	u32 siblings;
-#endif
 
-#if CONFIG_K8_REV_F_SUPPORT == 1
-	struct cpuinfo_x86 c;
-
-	get_fms(&c, dev->device);
-#endif
-
 #if CONFIG_USBDEBUG
 	if (!ehci_debug_addr)
 		ehci_debug_addr = get_ehci_debug();
@@ -524,7 +515,7 @@
 	setup_lapic();
 
 #if CONFIG_LOGICAL_CPUS == 1
-	siblings = cpuid_ecx(0x80000008) & 0xff;
+	u32 siblings = cpuid_ecx(0x80000008) & 0xff;
 
 	if (siblings > 0) {
 		msr = rdmsr_amd(CPU_ID_FEATURES_MSR);
@@ -548,12 +539,6 @@
 	 */
 	if (id.coreid == 0)
 		init_ecc_memory(id.nodeid);	// only do it for core 0
-
-#if CONFIG_LOGICAL_CPUS==1
-	/* Start up my cpu siblings */
-//      if(id.coreid==0)  amd_sibling_init(dev); // Don't need core1 is already be put in the CPU BUS in bus_cpu_scan
-#endif
-
 }
 
 static struct device_operations cpu_dev_ops = {
